package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CheckinInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface CheckinInfoService {
	CheckinInfo get(String id);
	boolean exist(String id);
	int insert(CheckinInfo model);
	int update(CheckinInfo model);
	int delete(String id);
	List<CheckinInfo> list();
	List<CheckinInfo> findBypropertyId(String propertyId);
	CheckinInfo findByCompanyId(String companyId);
	Page<CheckinInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}